export declare type Libraries = Array<'drawing' | 'geometry' | 'localContext' | 'places' | 'visualization'>;
export declare const queryParams: (key: string, region: string, language: string, libraries: Libraries) => string;
export declare const removeAllGmapAPIScript: () => void;
export declare const getAllGmapAPIScriptLength: () => number;
export interface ScriptLoader {
    loadScript: (language: string, region: string) => void;
    isMapReady: boolean;
    isReloadOk: boolean;
    checkAllGmapAPIScripts: (retry?: number, interval?: number, length?: number) => void;
}
export interface UseScriptLoader {
    apiKey: string;
    libraries: Libraries;
}
export declare const useScriptLoader: ({ apiKey, libraries, }: UseScriptLoader) => ScriptLoader;
